# file name: customized-values-pulsar.yaml
# See: https://github.com/apache/pulsar-helm-chart/blob/master/charts/pulsar/values.yaml
components:
  functions: false
  proxy: false
  toolset: false
  pulsar_manager: false
monitoring:
  alert_manager: false
  grafana: false
  node_exporter: false
  prometheus: false
bookkeeper:
  pdb:
    usePolicy: false
  replicaCount: 1
  configData:
    PULSAR_MEM: >
            -Xms128m -Xmx256m -XX:MaxDirectMemorySize=128m
  metadata:
    image:
      repository: apachepulsar/pulsar
  resources:
    requests:
      cpu: 0.2
      memory: 128Mi
  # volumes:
  #   journal:
  #     name: journal
  #     size: 5Gi
  #     storageClassName: hostpath
  #   ledgers:
  #     name: ledgers
  #     size: 5Gi
  #     storageClassName: hostpath
broker:
  pdb:
    usePolicy: false
  configData:
    PULSAR_MEM: >
      -Xms128m -Xmx256m -XX:MaxDirectMemorySize=128m
    subscriptionExpirationTimeMinutes: "5"
    webSocketServiceEnabled: "true"
    systemTopicEnabled: "true"
    topicLevelPoliciesEnabled: "true"
  replicaCount: 1
  resources:
    requests:
      cpu: 0.2
      memory: 256Mi
proxy:
  replicaCount: 1
zookeeper:
  replicaCount: 1
  pdb:
    usePolicy: false
  # volumes:
  #   data:
  #     name: data
  #     size: 2Gi
  #     storageClassName: hostpath
images:
  autorecovery:
    repository: apachepulsar/pulsar
  bookie:
    repository: apachepulsar/pulsar
  broker:
    repository: apachepulsar/pulsar
  zookeeper:
    repository: apachepulsar/pulsar
pulsar_metadata:
  image:
    repository: apachepulsar/pulsar
affinity:
  anti_affinity: false
volumes:
  persistence: false